#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=lexicon
export PYBUILD_DESTDIR_python3=debian/python3-${PYBUILD_NAME}
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	pytest-3 tests/ -k "not auto and not localzone and not oci and not namecheap"
endif

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=lexicon --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin
